Rysunek Techniczny: Wstaw wymiar rozpiętości poziomej

From FreeCAD Documentation
Revision as of 10:31, 21 July 2023 by Kaktus (talk | contribs) (Created page with "{{Caption|Poziomy wymiar rozpiętości krzywej złożonej}}")

Rysunek Techniczny: Wstaw wymiar rozpiętości poziomej

Lokalizacja w menu
Rysunek Techniczny → Wymiary → Wstaw wymiar rozpiętości poziomej
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Wstaw wymiar długości, Wstaw wymiar rozpiętości pionowej

Opis

Narzędzie Wstaw wymiar rozpiętości poziomej dodaje wymiar liniowy do widoku. Wymiar rozciąga się od najbardziej wysuniętego na lewo punktu na wybranych obiektach do najbardziej wysuniętego na prawo punktu. W każdym punkcie zostanie umieszczony wierzchołek pomocniczy.

Poziomy wymiar rozpiętości krzywej złożonej

How to use

  1. Select a View or a collection of Edges in a View.
  2. Press the Horizontal Extent Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension. Exceptions noted below.

Data

  • DANEMeasureType: true - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user. Not yet implemented for Dimension Horizontal Extent.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Horizontal Extent Dimension tool can be used in macros and from the Python console by using the following functions:

selection = ['Edge1', 'Edge2']                      # or [] for all

TechDraw.makeExtentDim(view1, selection, 0)         # view1 is a DrawViewPart; 0 for horizontal
App.ActiveDocument.DimExtent.Y = -60                # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10                 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f'    # Dimension format

TechDraw.makeExtentDim(view1, selection, 1)         # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130            # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10              # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'

# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.